PLCoreMan menus

The File menu

File | Open (.LC) file

This command is used to open the (.LC) file that was previously saved from the PLGen model.

File | Reload (.LC) file

This command is used to reload the (.LC) file that was previously saved from the PLGen model.


File | IN2LC tool

This command is used to convert input files written by advanced users to Load case files similar to that produced by PLGen. This command will produce a dialogue box which is used to input the input file(.IN), name of loadcase file (.LC) required, name of load case, and name of beam data file (.b). This dialogue box can then be used to generate the (.LC) file.


File | PL Controls

This command is used to define certain advanced properties of the numerical model. This command will produce a dialogue box which has controls for PL.exe command solver.

Line no | Default | Range | Description
1 | 0 | 0 OR 1 | A flag to print titles section in the output file. Could be equal to 0 (to cancel printing) or 1 (to print data in the output file).
2 | 0 | 0 OR 1 | A flag to print basic data section. Could be equal to 0 (to cancel printing) or 1 (to print data in the output file).
3 | 0 | 0 OR 1 | A flag to print extreme point data section. Could be equal to 0 (to cancel printing) or 1 (to print data in the output file).
4 | 0 | 0 OR 1 | A flag to print nodal data section. Could be equal to 0 (to cancel printing) or 1 (to print data in the output file).
5 | 0 | 0 OR 1 | A flag to print boundary element data section. Could be equal to 0 (to cancel printing) or 1 (to print data in the output file).
6 | 0 | 0 OR 1 | A flag to print boundary element connectivity section. Could be equal to 0 (to cancel printing) or 1 (to print data in the output file).
7 | 0 | 0 OR 1 | A flag to print boundary conditions section. Could be equal to 0 (to cancel printing) or 1 (to print data in the output file).
8 | 0 | 0 OR 1 | A flag to print internal point data section. Could be equal to 0 (to cancel printing) or 1 (to print data in the output file).
9 | 0 | 0 OR 1 | A flag to print internal cells data section. Could be equal to 0 (to cancel printing) or 1 (to print data in the output file).
10 | 0 | 0 OR 1 | A flag to print internal support data section. Could be equal to 0 (to cancel printing) or 1 (to print data in the output file).
11 | 1 | 0 OR 1 | A flag to print output results for the solution of equations procedure. Could be equal to 0 (to cancel printing) or 1 (to print data in the output file).
12 | 1 | 0 OR 1 | A flag to print generalized boundary nodal displacements section. Could be equal to 0 (to cancel printing) or 1 (to print data in the output file).
13 | 1 | 0 OR 1 | A flag to print generalized boundary nodal tractions section. Could be equal to 0 (to cancel printing) or 1 (to print data in the output file).
14 | 1 | 0 OR 1 | A flag to print generalized displacements at internal support section. Could be equal to 0 (to cancel printing) or 1 (to print data in the output file).
15 | 1 | 0 OR 1 | A flag to print generalized forces at internal support section. Could be equal to 0 (to cancel printing) or 1 (to print data in the output file).
16 | 1 | 0 OR 1 | A flag to print number of updated internal cells after solution. Could be equal to 0 (to cancel printing) or 1 (to print data in the output file).
17 | 1 | 0 TO 2 | A flag responsible for boundary element reactions:
 |  |  | 0: boundary element reactions will be computed but will not be printed,
 |  |  | 1: boundary element reactions will be computed and printed, and
 |  |  | 2: boundary element reactions will not computed.
18 | 2 | 0 TO 2 | A flag responsible for boundary element stress resultants:
 |  |  | 0: boundary element stress resultants will be computed but will not be printed,
 |  |  | 1: boundary element stress resultants will be computed and printed, and
 |  |  | 2: boundary element stress resultants will not computed.
19 | 1 | 0 TO 2 | A flag responsible for generalized displacements at internal points:
 |  |  | 0: generalized displacements at internal points will be computed but will not be printed,
 |  |  | 1: generalized displacements at internal points will be computed and printed, and
 |  |  | 2: generalized displacements at internal points will not computed.
20 | 0 | 0 TO 2 | A flag responsible for stress resultants at internal points:
 |  |  | 0: stress resultants at internal points will be computed but will not be printed,
 |  |  | 1: stress resultants at internal points will be computed and printed, and
 |  |  | 2: stress resultants at internal points will not computed.
21 | 3 | n | PL version
22 | 1 | n | PL release
23 | 0 | 0 OR 1 | 0: use the Gauss point number in the .in when calculating the internal point values, or
 |  |  | 1:use the prescribed Gauss point numbers in (24 & 25) when computing the internal values of displacements and stress resultants
24 | 4 | n | Gauss point number for computing internal point displacements (recall flag no 23)
25 | 4 | n | Gauss point number for computing internal point stress resultants (recall flag no. 23)
26 | 1 | 0 OR 1 | 0: use only one cell even if the internal point is located inside it (displacement calc.)
 |  |  | 1:use cell division (4 sub cells) when the internal point is located inside it
27 | 1 | 0 OR 1 | 0: use only one cell even if the internal point is located inside it (stress resultant calc.)
 |  |  | 1:use cell division (4 sub cells) when the internal point is located inside it
28 | 1 | 0 OR 1 | 0:do not adjust Qabove for the internal points (use value from input file)
 |  |  | 1:adjust value of Qabove for internal points according to the bounded cell (In this case the flag(27) has to be one to allow the cell division)-NOTE: this also applied to circular cells and in this case only flag (28) to be one is enough to make this work, i.e. in case of circular cells flag(27) is ignored in the adjustment of Qabove
29 | 1 | 0 OR 1 | 0: will not print the updated Qabove statement in the Log file (recall flag 28)
 |  |  | 1: will print the internal cells update statement for Qabove
30 | 1 | 0 OR 1 | If 1 series of numbers: 15.01, 15.02, 15.03, 15.04, 15.05 will be printed in the (.STT) file when computing the internal point displacements to indicate the finished percentage
31 | 1 | 0 OR 1 | if 1 series of numbers: 15.1, 15.2, 15.3, 15.4, 15.5 will be printed in the (.STT) file when computing the internal point stress resultants to indicate the finished percentage
32 | 1 | 0 OR 1 | if 1 the internal collocation point will be moved to the center of the circular cell if it is inside it. This is to avoid any numerical error.
40 | 0 | 0 OR 1 | if 1 TURN OFF WARRNINGS (START FROM WARRNING 320)
97 | n | n | if flag no 26 =1 then it compares the area of the divided cells to the original one; if such ratio is less than 1/n it ignores the contribution of this cell
98 | n | n | if flag no 27 =1 then it compares the area of the divided cells to the original one; if such ratio is less than 1/n it ignores the contribution of this cell
99 | 3 | 0 TO 3 | 0 TO 3: Adaptive scheme for internal stresses resultant calculations (recommended 3)
100 | 0 | 0 OR 1 | 0 OR 1: 0: PL.EXE continue solution & 1: PL.EXE stop after generating matrices
101 | 0 | 0 OR 1 | 0 OR 1:no/yes print the [H] matrix in $HMAT$. file
102 | 0 | 0 OR 1 | 0 OR 1:no/yes print the [G] matrix in the $GMAT$. File
103 | 0 | 0 TO 2 | 0 TO 2:no/yes [A SMALL]/yes [A BIG] - print the relevant matrix in $AMAT$. File
104 | 0 | 0 OR 1 | no/yes print the [1] matrix in $1MAT$. File
105 | 0 | 0 OR 1 | no/yes print the [1b] matrix in $1BMAT$. file
106 | 0 | 0 OR 1 | no/yes print the [2] matrix in $2MAT$. file
107 | 0 | 0 OR 1 | no/yes print the [3] matrix in $3MAT$. File
108 | 0 | 0 OR 1 | no/yes print the [13] matrix in $13MAT$. File
109 | 0 | 0 OR 1 | no/yes print the [2b] matrix in $2BMAT$. File
110 | 0 | 0 OR 1 | no/yes print the [23b] matrix in $23BMAT$. File
111 | 0 | 0 OR 1 | no/yes print the [3b] matrix in $3BMAT$. File
112 | 0 | 0 OR 1 | no/yes print the [2d] matrix in $2DMAT$. File
113 | 0 | 0 OR 1 | no/yes print the [3d] matrix in $3DMAT$. File
114 | 0 | 0 OR 1 | no/yes print the [13d] matrix in $13DMAT$. File
115 | 0 | 0 OR 1 | no/yes print the [2bd] matrix in $2BDMAT$. File
116 | 0 | 0 OR 1 | no/yes print the [23bd] matrix in $23BDMAT$. file
117 | 0 | 0 OR 1 | no/yes print the [3bd] matrix in $3BDMAT$. File
118 | 0 | 0 OR 1 | no/yes print the {RHS1} matrix in $RHS1$. File
119 | 0 | 0 OR 1 | no/yes print the {RHS2} matrix in $RHS2$. File
120 | 0 | 0 OR 1 | no/yes print the [Hcb] matrix in $HCBMAT$. File
121 | 0 | 0 OR 1 | no/yes print the [Gcb] matrix in $GCBMAT$. File


The View menu

The commands in this menu are used to view different text files that are used by the model. Each file has a certain model data. File properties are summarized in the following tables:

Input files definitions

File | Definition
*.in | The model input file
*.run | The run file that contains a flag to specify the mode of solutions(IRUN flag) and the paths of all other files
$run$ | Contains the path to the run file to direct the solver to the problem
$PLctrl$ | Contains some flags that can control the output of the PL core solver

Output files definitions

File | Definition
*.out | A formatted output file
*.t | Contains the tractions of the internal cells and boundary nodes
*.u | Contains the displacements of the boundary nodes
*.ber | Contains the displacements of the boundary elements reactions
*.bs | Contains the stress resultants at the boundary nodes
*.ips | Contains the internal points displacements
*.ipu | Contains the internal points displacements

Tracing files definitions

File | Definition
*.stt | A file that stores integers corresponding to stages of solution
*.log | A log files that stores the solution history


The Run menu

The commands in this menu are used to run different components of the PLPAK

Run | PLView

This command is used to run the PLView module, the component of the PLPAK which has the boundary element model.


Run | PT Cable Calculator

This command is used to run the PT Cable Calculator.


Run | PT Update

This command is used to run the PTUpdate.


Run | AutoCAD Exporter

This command is used to exports script files to be used in AutoCAD for post-tensional slabs


Run |PL.EXE

This command is used to run PL.Exe which is the main solver of the whole model.

As previously stated, the PLPak creates structural analysis solutions using BE model and the Reisner Plate Equation. The main solver is the “PL.exe” command line which is retrieved from the PLCoreMan, the PL.exe creates solutions for the boundaries and supports only. In order to find solutions for any other internal points, two methods are available:

1. Using the PLPost (the post processing component of the PLPAK) to solve for internal points. The PLPost actually calls the “PL.exe” command line to solve for the internal points, thus, providing real-solution rather than interpolation. This process increases the accuracy of the produced results.

2. Defining internal points to be solved from the PLGen.


Run | PLPost

This command is used to run PLPost which is the post processor and result viewer component of the PLPAK.

The PLPost allows the user to view structural analysis results in different ways under the effect of single load cases or load combinations (which are defined from the PLPost):

1. Plotting contours either on the whole system or at local points if high accuracy contours are required.

2. Drawing strips.

3. Viewing paths (Strip data that can be imported from text files).

4. Reactions at columns, beams and walls.

5. Straining actions in beams.

Please note that PLPost allows the user to read structural analysis results in any direction, in addition, it has the ability to calculate design moment using “Wood and Armor” equation.


Help |Register PLPAK

This button runs the registry dialogue box. This box can be used to check the type of license and get the core number which is required to license the program.


2

PLPAK V1.02 User Manual - PLCoreMan


10

PLPAK V1.02 User Manual - PLCoreMan


4

PLPAK V1.02 User Manual - PLCoreMan


5

PLPAK V1.02 User Manual - PLCoreMan


6

PLPAK V1.02 User Manual - PLCoreMan